require "funny_terminal/catpix"
require "net/http"
require "json"

module FunnyTerminal
  class Quote
    def self.request
      url = API_SERVER + "quotes/random"
      uri = URI(url)
      response = Net::HTTP.get(uri)
      json = JSON.parse(response)

      print(json)
    end

    def self.print(json)
      quote = json["quote"]
      puts quote["message"]
      puts quote["author"]
      Catpix::print_image_url quote["image"]
    end
  end
end
